# rpmsw.h File Reference

`#include <unistd.h>`
`#include <sys/time.h>`

Include dependency graph for rpmsw.h:

Go to the source code of this file.

## Data Structures
struct | rpmsw_s
struct | rpmop_s
| Cumulative statistics for an operation. More...
## Typedefs
typedef unsigned long int | rpmtime_t
typedef struct rpmsw_s * | rpmsw
typedef struct rpmop_s * | rpmop
## Functions
rpmsw | rpmswNow (rpmsw sw)
| Return benchmark time stamp.
rpmtime_t | rpmswDiff (rpmsw end, rpmsw begin)
| Return benchmark time stamp difference.
rpmtime_t | rpmswInit (void)
| Return benchmark time stamp overhead.
int | rpmswEnter (rpmop op, ssize_t rc)
| Enter timed operation.
rpmtime_t | rpmswExit (rpmop op, ssize_t rc)
| Exit timed operation.
rpmtime_t | rpmswAdd (rpmop to, rpmop from)
| Sum statistic counters.
rpmtime_t | rpmswSub (rpmop to, rpmop from)
| Subtract statistic counters.

## Detailed Description

Definition in file rpmsw.h.